POST
/pages/update-permissionChange a user's or group's role on a page
Updates a user's or group's role on a page. Supply pageId, the new role, and at least one of userId or groupId; if both IDs are supplied, the user ID is applied and the group ID is ignored.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
The page, target user or group, and access role to apply.
groupIdstringoptional
The UUID of the group whose role you want to change.
pageIdstringrequired
Page identifier.
rolestringrequired
The access role to assign: `reader` or `writer`.
userIdstringoptional
The UUID of the user whose role you want to change. If both `userId` and `groupId` are supplied, this user is updated and `groupId` is ignored.
200Returns a successful response confirming that the role was updated.
dataunknownoptional
Response payload
statusintegeroptional
successbooleanoptional
400Returned when neither `userId` nor `groupId` is supplied.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
403Returned when the authenticated user is forbidden from changing the role or page permissions are not included in the current licence.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 400 is returned when neither userId nor groupId is supplied. A 403 is returned when the authenticated user is forbidden from changing the role or page permissions are not included in the current licence. pageId and role are required, role must be reader or writer, and supplied IDs must be UUIDs.